package cz.cuni.amis.pogamut.ut2004.bot;

import cz.cuni.amis.pogamut.base.agent.IAgent;
import cz.cuni.amis.pogamut.base.agent.worldview.IWorldView;
import cz.cuni.amis.pogamut.ut2004.agent.worldview.UT2004LockableWorldView;
import cz.cuni.amis.pogamut.ut2004.agent.worldview.UT2004SyncLockableWorldView;
import cz.cuni.amis.pogamut.ut2004.factory.guice.UT2004BotModule;

public class MindlessSyncBotModule extends UT2004BotModule {
	
	@Override
	protected void configure() {
		super.configure();
		bind(IWorldView.class).to(UT2004SyncLockableWorldView.class);
		bind(IAgent.class).to(MindlessSyncBot.class);
	}

}
